Jump to: navigation, search

Difference between revisions of "RAP/EMF Integration"

< RAP
m (Prepare the IDE)
(Prepare the IDE)
Line 17: Line 17:
  
 
In order to develop applications for EMF and RAP, you will need to install two features into your IDE:
 
In order to develop applications for EMF and RAP, you will need to install two features into your IDE:
* The tools to work with EMF models, which are available from [http://www.eclipse.org/modeling/emf/updates here] (chose version greater than 2.6 M6)
+
* The tools to work with EMF models, which are available from [http://www.eclipse.org/modeling/emf/updates here] (chose versions >= 2.6 M6)
* The tooling for RAP, that can be obtained from [http://eclipse.org/rap/downloads/index.php here] (chose version greater than 1.3 M6)
+
* The tooling for RAP, that can be obtained from [http://eclipse.org/rap/downloads/index.php here] (chose versions >= 1.3 M6)
  
 
=== Assemble the Runtime Target ===
 
=== Assemble the Runtime Target ===

Revision as of 14:09, 25 March 2010

| RAP wiki home | RAP project home |

Emf rap.png

EMF Runtime

The non-UI part of EMF works with RAP out of the box. With the aid of the following bundles, EMF models can be created and accessed.

  • org.eclipse.emf.common
  • org.eclipse.emf.ecore

Even though these bundles express an optional dependency on org.eclipse.core.resources, this dependency isn't required at runtime.

EMF UI and Edit Framework

Since 2.6 M6, EMF provides branches of it's UI/Edit framework for use with RAP (details are documented in bug 213988). The necessary bundles are available from the EMF software repository and can be used together with the RAP runtime (> 1.3 M6).

The following sections ouline the basic steps to run EMF on RAP. The Ecore and Genmodel of the Library Example used throughout this page can be downloaded here

Prepare the IDE

In order to develop applications for EMF and RAP, you will need to install two features into your IDE:

  • The tools to work with EMF models, which are available from here (chose versions >= 2.6 M6)
  • The tooling for RAP, that can be obtained from here (chose versions >= 1.3 M6)

Assemble the Runtime Target

The minimal runtime consists of EMF for RAP and the RAP runtime itself. To set up the target platform, the most conventient way is assemble it directly from the software repositories:

  • EMF for RAP: http://download.eclipse.org/modeling/emf/emf/updates/2.6
  • RAP Runtime: http://download.eclipse.org/rt/rap/1.3/runtime
Warning2.png
EMF for RAP and the RAP runtime must not be installed into the IDE, it will break the IDE.


Rapemftarget.png

Please make sure to uncheck the "Include required software" option when adding the features from the repositories.

Configuring EMF and RAP as Runtime

Open up the Properties view on your .genmodel file and set the "Rich Ajax Application" from the "Editor" category to true.

Rapemfproperties.png

After that you can generate your edit and editor code.

Launch the application

You can now launch the application via it's generated org.eclipse.core.runtime.applications extension. Just use the LibraryEditorAdvisorApplication entry point.

Rapemflaunch.png